---
agentTools:
  projectIndex: https://nippy.readme.io/llms.txt
---

# Payout Status Check

This API allows merchants to check the status of their payout transactions.

### API Endpoint

> <https://pg.nippy.co.in/api/payoutStatus/>

### Request Method

> POST

### Request Headers

| Header        | Value                    | Description                |
| :------------ | :----------------------- | :------------------------- |
| Authorization | Bearer YOUR\_AUTH\_TOKEN | The merchant's auth token. |

### Request Body

| Field         | Type   | Description         |
| :------------ | :----- | :------------------ |
| mid           | string | The merchant ID.    |
| transactionId | string | The transaction ID. |

### Example Request

Transaction id based request

```Text JSON
{  
  "mid": "2",  
  "transactionId": "534452990289"
}
```

UDF based request :

udf1 is bind with transaction id

```Text JSON
{  
  "mid": "2",  
  "udf1": "534452990289"
}
```

### Transaction Statuses

Here is a list of the transaction statuses:

* **failed**: The transaction has failed due to an error or an issue with the payment method.
* **accept**: The transaction has been accepted but is still being processed.
* **rejected**: The transaction has been rejected due to invalid or insufficient information provided.
* **success**: The transaction has been completed successfully.
* **pending**: The transaction is still being processed and the final status is not yet determined.
* **reversed**: The transaction has been reversed or refunded.

### Response

Success Response

| Field       | Type   | Description                              |
| :---------- | :----- | :--------------------------------------- |
| message     | string | The transaction status message.          |
| UTR         | string | The unique transaction reference number. |
| txn\_status | string | Status of the transaction                |
| status      | string | true or false                            |

### Example Error Response

```Text JSON
{
  "status": false,
  "message": "Invalid mid",
  "input": {
    "mid": "3",
    "transactionId": "534452990289"
  },
  "error_code": 400
}

```

This documentation should give developers a good understanding of how to use your payout status check API. Make sure to replace YOUR\_AUTH\_TOKEN with the actual auth token provided to the merchants.

### cURL Example

Here's the cURL sample for the payout status check API:

```Text curl
curl --location --request POST 'https://pg.nippy.co.in/api/payoutStatus/' \
--header 'Authorization: Bearer <AUTHTOKEN>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "mid": 3243,
    "transactionId": "234234324"
}'

```

Make sure to replace **<AUTHTOKEN>** with the actual auth token provided to the merchant.

### Sample Response

```Text json
{
    "status": true,
    "txn_status": "accept", //  current state of a transaction, such as whether it's pending, accepted, rejected, failed, successful, or reversed
    "message": "Transaction mark as COMPLETED",
    "UTR": 310104593471,
    "error_code": 200
}
```